Loading...
Searching...
No Matches
pcl::PosesFromMatches Class Reference
Module common

calculate 3D transformation based on point correspondences More...

`#include <pcl/common/poses_from_matches.h>`

## Classes

struct | Parameters
| Parameters used in this class. More...
struct | PoseEstimate
| A result of the pose estimation process. More...

## Public Types

using | PoseEstimatesVector = std::vector<PoseEstimate, Eigen::aligned_allocator<PoseEstimate> >

## Public Member Functions

void | estimatePosesUsing1Correspondence (const PointCorrespondences6DVector &correspondences, int max_no_of_results, PoseEstimatesVector &pose_estimates) const
| Use single 6DOF correspondences to estimate transformations between the coordinate systems.
void | estimatePosesUsing2Correspondences (const PointCorrespondences6DVector &correspondences, int max_no_of_tested_combinations, int max_no_of_results, PoseEstimatesVector &pose_estimates) const
| Use pairs of 6DOF correspondences to estimate transformations between the coordinate systems.
void | estimatePosesUsing3Correspondences (const PointCorrespondences6DVector &correspondences, int max_no_of_tested_combinations, int max_no_of_results, PoseEstimatesVector &pose_estimates) const
| Use triples of 6DOF correspondences to estimate transformations between the coordinate systems.
Parameters & | getParameters ()
| Get a reference to the parameters struct.

## Protected Attributes

Parameters | parameters_

## Detailed Description

calculate 3D transformation based on point correspondences

Author
  Bastian Steder

Definition at line 52 of file poses_from_matches.h.

## Member Typedef Documentation

## PoseEstimatesVector

using pcl::PosesFromMatches::PoseEstimatesVector = std::vector<PoseEstimate, Eigen::aligned_allocator<PoseEstimate> >

Definition at line 78 of file poses_from_matches.h.

## Member Function Documentation

## estimatePosesUsing1Correspondence()

void pcl::PosesFromMatches::estimatePosesUsing1Correspondence | ( | const PointCorrespondences6DVector & | correspondences,
|  | int | max_no_of_results,
|  | PoseEstimatesVector & | pose_estimates ) const

Use single 6DOF correspondences to estimate transformations between the coordinate systems.

Use max_no_of_results=-1 to use all. It is assumed, that the correspondences are sorted from good to bad.

## estimatePosesUsing2Correspondences()

void pcl::PosesFromMatches::estimatePosesUsing2Correspondences | ( | const PointCorrespondences6DVector & | correspondences,
|  | int | max_no_of_tested_combinations,
|  | int | max_no_of_results,
|  | PoseEstimatesVector & | pose_estimates ) const

Use pairs of 6DOF correspondences to estimate transformations between the coordinate systems.

It is assumed, that the correspondences are sorted from good to bad.

## estimatePosesUsing3Correspondences()

void pcl::PosesFromMatches::estimatePosesUsing3Correspondences | ( | const PointCorrespondences6DVector & | correspondences,
|  | int | max_no_of_tested_combinations,
|  | int | max_no_of_results,
|  | PoseEstimatesVector & | pose_estimates ) const

Use triples of 6DOF correspondences to estimate transformations between the coordinate systems.

It is assumed, that the correspondences are sorted from good to bad.

## getParameters()

Parameters & pcl::PosesFromMatches::getParameters | ( |  | ) |

inline

Get a reference to the parameters struct.

Definition at line 110 of file poses_from_matches.h.

References parameters_.

## Member Data Documentation

## parameters_

Parameters pcl::PosesFromMatches::parameters_

protected

Definition at line 114 of file poses_from_matches.h.

Referenced by getParameters().

The documentation for this class was generated from the following file:

- pcl/common/poses_from_matches.h